EMF::EMRSETBKCOLOR(3)

NAME
EMF::EMRSETBKCOLOR - EMF Set Background Color.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSETBKCOLOR.

  Public Member Functions

EMRSETBKCOLOR (COLORREF color)
EMRSETBKCOLOR (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set Background Color.

Sets the background color.

Constructor & Destructor Documentation

  EMF::EMRSETBKCOLOR::EMRSETBKCOLOR (COLORREF color) [inline]

Parameters
    color background color

  EMF::EMRSETBKCOLOR::EMRSETBKCOLOR (DATASTREAM & ds) [inline]
Construct a SetBkColor record from the input datastream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETBKCOLOR::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETBKCOLOR::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETBKCOLOR::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.